> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post usersunpublish self

> This operation unpublishes the requesting user from the Forum identified in the request
argument.

This operation requires a **User Publisher Request** argument with the following fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /users/unpublish-self
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /users/unpublish-self:
    post:
      tags:
        - UserService
      description: >-
        This operation unpublishes the requesting user from the Forum identified
        in the request

        argument.


        This operation requires a **User Publisher Request** argument with the
        following fields:
      operationId: unpublishUser
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  criteria:
                    homeLocationName: ...
                    matchAnyCustomAttribute: true
                    sortAscending: true
                    sysidDepartments:
                      - 12345
                      - 12345
                    includeLockedUser: true
                    sysidStatuses:
                      - 12345
                      - 12345
                    sysidRoles:
                      - 12345
                      - 12345
                    emailAddress: ...
                    sysidUserGroups:
                      - 12345
                      - 12345
                    lastName: ...
                    sysidSwitchDevices:
                      - 12345
                      - 12345
                    forManagement: true
                    sysidApplicationUsers:
                      - 12345
                      - 12345
                    customAttribs:
                      - stringValue: ...
                        searchType: GREATER_THAN_OR_EQUAL
                        sysidDataType: 12345
                        dateTimeValue: {}
                        sysidAttribute: 12345
                        numberValue: 12345
                        booleanValue: true
                      - stringValue: ...
                        searchType: EQUAL
                        sysidDataType: 12345
                        dateTimeValue: {}
                        sysidAttribute: 12345
                        numberValue: 12345
                        booleanValue: true
                    sysidTitles:
                      - 12345
                      - 12345
                    sysidHomeLocations:
                      - 12345
                      - 12345
                    sysidBusinessUnits:
                      - 12345
                      - 12345
                    exactMatch: true
                    sortColumn: HOME_LOCATION
                    accountOnly: true
                    firstName: ...
                    sysidManagers:
                      - 12345
                      - 12345
                    startRow: 12345
                    maxRows: 12345
                  sysidForum: 12345
            schema:
              $ref: '#/components/schemas/UserPublisherRequest'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: string
          description: Response
components:
  schemas:
    UserPublisherRequest:
      type: object
      title: UserPublisherRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            criteria:
              $ref: '#/components/schemas/UserViewCriteria'
            sysidForum:
              type: integer
              format: int32
      example:
        criteria:
          homeLocationName: ...
          matchAnyCustomAttribute: true
          sortAscending: true
          sysidDepartments:
            - 12345
            - 12345
          includeLockedUser: true
          sysidStatuses:
            - 12345
            - 12345
          sysidRoles:
            - 12345
            - 12345
          emailAddress: ...
          sysidUserGroups:
            - 12345
            - 12345
          lastName: ...
          sysidSwitchDevices:
            - 12345
            - 12345
          forManagement: true
          sysidApplicationUsers:
            - 12345
            - 12345
          customAttribs:
            - stringValue: ...
              searchType: GREATER_THAN_OR_EQUAL
              sysidDataType: 12345
              dateTimeValue: {}
              sysidAttribute: 12345
              numberValue: 12345
              booleanValue: true
            - stringValue: ...
              searchType: GREATER_THAN_OR_EQUAL
              sysidDataType: 12345
              dateTimeValue: {}
              sysidAttribute: 12345
              numberValue: 12345
              booleanValue: true
          sysidTitles:
            - 12345
            - 12345
          sysidHomeLocations:
            - 12345
            - 12345
          sysidBusinessUnits:
            - 12345
            - 12345
          exactMatch: true
          sortColumn: HOME_LOCATION
          accountOnly: true
          firstName: ...
          sysidManagers:
            - 12345
            - 12345
          startRow: 12345
          maxRows: 12345
        sysidForum: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    UserViewCriteria:
      type: object
      title: UserViewCriteria
      required:
        - matchAnyCustomAttribute
        - sortAscending
        - includeLockedUser
        - forManagement
        - exactMatch
        - accountOnly
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            homeLocationName:
              type: string
            matchAnyCustomAttribute:
              type: boolean
            sortAscending:
              type: boolean
            sysidDepartments:
              type: array
              items:
                type: integer
            includeLockedUser:
              type: boolean
            sysidStatuses:
              type: array
              items:
                type: integer
            sysidRoles:
              type: array
              items:
                type: integer
            emailAddress:
              type: string
            sysidUserGroups:
              type: array
              items:
                type: integer
            lastName:
              type: string
            sysidSwitchDevices:
              type: array
              items:
                type: integer
            forManagement:
              type: boolean
            sysidApplicationUsers:
              type: array
              items:
                type: integer
            customAttribs:
              type: array
              items:
                $ref: '#/components/schemas/CustomAttributeSearch'
            sysidTitles:
              type: array
              items:
                type: integer
            sysidHomeLocations:
              type: array
              items:
                type: integer
            sysidBusinessUnits:
              type: array
              items:
                type: integer
            exactMatch:
              type: boolean
            sortColumn:
              $ref: '#/components/schemas/UserViewSortColumns'
            accountOnly:
              type: boolean
            firstName:
              type: string
            sysidManagers:
              type: array
              items:
                type: integer
      example:
        homeLocationName: ...
        matchAnyCustomAttribute: true
        sortAscending: true
        sysidDepartments:
          - 12345
          - 12345
        includeLockedUser: true
        sysidStatuses:
          - 12345
          - 12345
        sysidRoles:
          - 12345
          - 12345
        emailAddress: ...
        sysidUserGroups:
          - 12345
          - 12345
        lastName: ...
        sysidSwitchDevices:
          - 12345
          - 12345
        forManagement: true
        sysidApplicationUsers:
          - 12345
          - 12345
        customAttribs:
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidTitles:
          - 12345
          - 12345
        sysidHomeLocations:
          - 12345
          - 12345
        sysidBusinessUnits:
          - 12345
          - 12345
        exactMatch: true
        sortColumn: EMAIL
        accountOnly: true
        firstName: ...
        sysidManagers:
          - 12345
          - 12345
        startRow: 12345
        maxRows: 12345
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    CustomAttributeSearch:
      type: object
      title: CustomAttributeSearch
      required:
        - sysidDataType
        - sysidAttribute
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            stringValue:
              type: string
            searchType:
              $ref: '#/components/schemas/CustomAttributeSearchType'
            sysidDataType:
              type: integer
              format: int32
            dateTimeValue:
              $ref: '#/components/schemas/AqDate'
            sysidAttribute:
              type: integer
              format: int32
            numberValue:
              type: integer
              format: int64
            booleanValue:
              type: boolean
      example:
        stringValue: ...
        searchType: GREATER_THAN_OR_EQUAL
        sysidDataType: 12345
        dateTimeValue:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidAttribute: 12345
        numberValue: 12345
        booleanValue: true
    UserViewSortColumns:
      type: string
      title: UserViewSortColumns
      enum:
        - FIRST_NAME
        - LAST_NAME
        - EMAIL
        - PHONE
        - CITY
        - ROLE
        - HOME_LOCATION
    CustomAttributeSearchType:
      type: string
      title: CustomAttributeSearchType
      enum:
        - LESS_THAN_OR_EQUAL
        - EQUAL
        - GREATER_THAN_OR_EQUAL
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true

````